J
Jobs Base 0-to-1 builder jobs
317 active jobs 4 new today
← back to jobs

API

Free REST API. No auth required. Base URL: https://jobsbase.io

Search jobs

GET /api/jobs?q=frontend+engineer

Parameters

NameRequiredDescription
qyesSearch query (matches relevant keywords, title, company, city, region, country)
typenofull-time, part-time, contract, freelance, internship (comma-separated)
workplace_typenoremote, hybrid, on-site (comma-separated)
citynoCity name(s), comma-separated
statenoState/province name(s), comma-separated
countrynoCountry code(s) — US, GB, CA, etc. (comma-separated)
regionnonorth_america, latin_america, europe, asia_pacific, middle_east_africa (comma-separated)
seniority_levelnointernship, entry, mid, senior, lead, executive (comma-separated)
salary_at_leastnoMinimum annual salary
salary_at_mostnoMaximum annual salary
posted_withinno24h, 3d, 7d, 14d, 30d
companynoExact company name
experience_no_more_thannoMax years of experience required
education_levelnohigh_school, associate, bachelor, master, doctorate
visa_sponsorshipnotrue — only jobs with visa sponsorship
sortnorelevance, posted_at (default), salary
limitnoResults per page, 1–100 (default 20)
cursornoCursor from previous response for next page

Response

{
  "jobs": [
    {
      "id": "abc123",
      "title": "Founding Engineer",
      "company": "Acme Inc",
      "company_logo": "https://...",
      "display_location": "San Francisco, CA",
      "city": "San Francisco",
      "country": "US",
      "type": "full-time",
      "workplace_type": "remote",
      "seniority_level": "senior",
      "salary_min": 150000,
      "salary_max": 200000,
      "salary_period": "annual",
      "currency": "USD",
      "experience_min": 3,
      "experience_max": 7,
      "education_level": "bachelor",
      "visa_sponsorship": false,
      "skills": "TypeScript, React, Node.js",
      "apply_url": "https://...",
      "posted_at": "2026-04-06T12:00:00Z"
    }
  ],
  "has_more": true,
  "next_cursor": "eyJwIjoiMjAyNi0wNC0wNi..."
}

To paginate, pass next_cursor as the cursor parameter in the next request. Cursors expire after 30 minutes.

Get job details

GET /api/jobs/:id

Response

Returns the same fields as the search response, plus:

{
  "description": "<p>Full job description HTML...</p>",
  "region": "north_america",
  "country_name": "United States",
  "education_field": "Computer Science",
  "job_function": "Engineering",
  "industries": "Software, SaaS",
  "benefits": "Health insurance, 401k, ..."
}

Returns 404 if the job is not found.

List filters

GET /api/filters

Response

{
  "types": ["full-time", "part-time", "contract", ...],
  "workplace_types": ["remote", "hybrid", "on-site"],
  "cities": ["San Francisco", "New York", ...],
  "countries": [{ "code": "US", "name": "United States" }, ...],
  "seniority_levels": ["entry", "mid", "senior", ...],
  "companies": ["Acme Inc", ...],
  "education_levels": ["bachelor", "master", ...]
}

Use these values to build valid filter parameters for the search endpoint.

← back to jobs